# Uses of Interface
org.springframework.jdbc.datasource.ShardingKeyProvider

Packages that use ShardingKeyProvider
Package
Description
org.springframework.jdbc.datasource
Provides a utility class for easy DataSource access, a PlatformTransactionManager for a single DataSource, and various simple DataSource implementations.

## Uses of ShardingKeyProvider in org.springframework.jdbc.datasource

Methods in org.springframework.jdbc.datasource with parameters of type ShardingKeyProvider
Modifier and Type
Method
Description
`void`
ShardingKeyDataSourceAdapter.`setShardingKeyProvider(ShardingKeyProvider shardingKeyProvider)`
Set the `ShardingKeyProvider` for this adapter.
Constructors in org.springframework.jdbc.datasource with parameters of type ShardingKeyProvider
Modifier
Constructor
Description
``
`ShardingKeyDataSourceAdapter(DataSource dataSource, ShardingKeyProvider shardingKeyProvider)`
Create a new instance of `ShardingKeyDataSourceAdapter`, wrapping the given `DataSource`.